﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
DATE:                  2017-02-06 09:26:34
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       137
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B, DSO80804A/B,
#        DSO81004A/B, DSO81204A/B, DSO81304A/B
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# If TAR mode is selected, set NTHROW = to zero to reduce execution time.
  1.001  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  1.002  VSET         NTHROW = 0
  1.003  ENDIF

  1.004  CALL         Sub Agilent Infiniium Channel Selection
  1.005  MATH         L[10] = GET("Chan")

# Specifications: <= 3.5 V: ±(2% of channel offset + 1% of full scale + 1 mV)

# The offset accuracy specification has two terms:
#   ±(offset gain + zero error)
# The offset gain specification is ±2% of channel offset and the zero error
# specification is ±1% of full scale. The offset accuracy test procedure
# tests each of these terms individually,  This procedure addresses zero
# error.

# Full scale is defined as 8 vertical divisions.

  1.006  IF           GET("Chan") == 1
  1.007  RSLT         =
  1.008  HEAD         {OFFSET ACCURACY TEST}
  1.009  RSLT         =
  1.010  RSLT         = Zero Error Test
  1.011  ENDIF

  1.012  RSLT         =
  1.013  RSLT         =Channel [L10]
  1.014  TARGET       -p
  1.015  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 5 mV/div
  1.016  TSET         TDESC = 5 mV/div
  1.017  SCPI         CHAN[L10]:SCAL 5E-3;OFFS 0V;:ACQ:AVER:COUNT 256
  1.018  TARGET       -m
  1.019  WAIT         [D1000]
  1.020  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  1.021  MATH         MEM = MEM / 1E-3
  1.022  MEMCX  40    0.00mV         1/ 1.0U

  2.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 10 mV/div
  2.002  TSET         TDESC = 10 mV/div
  2.003  SCPI         CHAN[L10]:SCAL 10E-3;OFFS 0V
  2.004  TARGET       -m
  2.005  WAIT         [D1000]
  2.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  2.007  MATH         MEM = MEM / 1E-3
  2.008  MEMCX  80    0.00mV         1/ 1.0U

  3.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 20 mV/div
  3.002  TSET         TDESC = 20 mV/div
  3.003  SCPI         CHAN[L10]:SCAL 20E-3;OFFS 0V
  3.004  TARGET       -m
  3.005  WAIT         [D1000]
  3.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  3.007  MATH         MEM = MEM / 1E-3
  3.008  MEMCX  160   0.00mV         1/ 1.0U

  4.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 50 mV/div
  4.002  TSET         TDESC = 50 mV/div
  4.003  SCPI         CHAN[L10]:SCAL 50E-3;OFFS 0V
  4.004  TARGET       -m
  4.005  WAIT         [D1000]
  4.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  4.007  MATH         MEM = MEM / 1E-3
  4.008  MEMCX  400   0.00mV         1/ 1.0U

  5.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 100 mV/div
  5.002  TSET         TDESC = 100 mV/div
  5.003  SCPI         CHAN[L10]:SCAL 100E-3;OFFS 0V
  5.004  TARGET       -m
  5.005  WAIT         [D1000]
  5.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  5.007  MATH         MEM = MEM / 1E-3
  5.008  MEMCX  800   0.00mV         1/ 1.0U

  6.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 200 mV/div
  6.002  TSET         TDESC = 200 mV/div
  6.003  SCPI         CHAN[L10]:SCAL 200E-3;OFFS 0V
  6.004  TARGET       -m
  6.005  WAIT         [D1000]
  6.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  6.007  MATH         MEM = MEM / 1E-3
  6.008  MEMCX  1600  0.00mV         1/ 1.0U

  7.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 500 mV/div
  7.002  TSET         TDESC = 500 mV/div
  7.003  SCPI         CHAN[L10]:SCAL 500E-3;OFFS 0V
  7.004  TARGET       -m
  7.005  WAIT         [D1000]
  7.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  7.007  MATH         MEM = MEM / 1E-3
  7.008  MEMCX  4000  0.00mV         1/ 1.0U

  8.001  HEAD         OFFSET PERFORMANCE TEST (CH [L10]): 1 V/div
  8.002  TSET         TDESC = 1 V/div
  8.003  SCPI         CHAN[L10]:SCAL 1;OFFS 0V
  8.004  TARGET       -m
  8.005  WAIT         [D1000]
  8.006  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  8.007  MATH         MEM = MEM / 1E-3
  8.008  MEMCX  8000  0.00mV         1/ 1.0U

  9.001  SCPI         *RST
  9.002  END
